Bug 246389 - [exp-run] devel/json-c: Update to 0.14
Summary: [exp-run] devel/json-c: Update to 0.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks: 246145
  Show dependency treegraph
 
Reported: 2020-05-11 20:36 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-05-25 08:30 UTC (History)
7 users (show)

See Also:
info: merge-quarterly?
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-11 20:36:30 UTC
Update to 0.14

Changes:        https://github.com/json-c/json-c/blob/master/ChangeLog
Comment 1 daniel.engberg.lists 2020-05-11 23:23:10 UTC
Hi,

I have a PR about this which retains test target and also fixes a bug (PR 585) as include/json-c/config.h shouldn't be installed.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=246145

Best regards,
Daniel
Comment 2 daniel.engberg.lists 2020-05-14 09:53:16 UTC
I've updated my PR to fix https://nvd.nist.gov/vuln/detail/CVE-2020-12762
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-14 20:04:56 UTC
Patch updated with more patches from upstream for security fix, bug fix and static library.

Please use this one instead. Thanks!
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-17 18:27:06 UTC
Patch updated with fixes. Thanks!
Comment 6 commit-hook freebsd_committer 2020-05-17 20:19:10 UTC
A commit references this bug:

Author: sunpoet
Date: Sun May 17 20:18:32 UTC 2020
New revision: 535672
URL: https://svnweb.freebsd.org/changeset/ports/535672

Log:
  Update json-c vulnerability

  - While I'm here, fix format

  json-c 0.14 will land the ports tree along with the fix, thus I change it to 0.14.

  PR:		246389

Changes:
  head/security/vuxml/vuln.xml
Comment 7 Dani 2020-05-18 07:29:44 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #5)

Hey Sunpoet, any plan when this will land? Thanks for a fast commit!
Comment 8 Dani 2020-05-20 09:31:05 UTC
Bump - it would be really appreciated if this could be pushed a bit as this is security relevant! Thanks!
Comment 9 Antoine Brodin freebsd_committer 2020-05-21 12:13:47 UTC
Exp-run looks fine
Comment 10 commit-hook freebsd_committer 2020-05-21 20:46:34 UTC
A commit references this bug:

Author: sunpoet
Date: Thu May 21 20:46:08 UTC 2020
New revision: 536171
URL: https://svnweb.freebsd.org/changeset/ports/536171

Log:
  Update to 0.14

  Changes:	https://github.com/json-c/json-c/blob/master/ChangeLog
  PR:		246389
  Exp-run by:	antoine

Changes:
  head/devel/json-c/Makefile
  head/devel/json-c/distinfo
  head/devel/json-c/files/patch-CMakeLists.txt
  head/devel/json-c/files/patch-arraylist.c
  head/devel/json-c/files/patch-json_object.c
  head/devel/json-c/files/patch-linkhash.c
  head/devel/json-c/files/patch-printbuf.c
  head/devel/json-c/files/patch-tests-test_parse.c
  head/devel/json-c/pkg-plist
Comment 11 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-21 20:47:18 UTC
Committed. Thanks!